| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# UpdateManagerException Class Reference

`#include <GaudiKernel/UpdateManagerException.h>`

Inheritance diagram for UpdateManagerException:

[legend]
Collaboration diagram for UpdateManagerException:

[legend]
List of all members.

## Detailed Description

Exception thrown by the UpdateManagerSvc when something goes wrong.

See also:
  GaudiException

Author:
  Marco Clemencic

Date:
  2005-12-14

Definition at line 17 of file UpdateManagerException.h.

## Public Member Functions
| UpdateManagerException (const std::string &Message="unspecified exception", const std::string &Tag="*UpdateManagerSvc*", const StatusCode &Code=StatusCode::FAILURE)
| Standard constructor.
| UpdateManagerException (const std::string &Message, const std::string &Tag, const StatusCode &Code, const GaudiException &Ex)
virtual | ~UpdateManagerException () throw ()
| Destructor.
virtual UpdateManagerException * | clone () const
| Clone the exception.

## Constructor & Destructor Documentation

UpdateManagerException::UpdateManagerException | ( | const std::string & | Message = `"unspecified exception"`,
|  | const std::string & | Tag = `"*UpdateManagerSvc*"`,
|  | const StatusCode & | Code = `StatusCode::FAILURE` |
| ) |  |  | `[inline]`

Standard constructor.

Definition at line 20 of file UpdateManagerException.h.

Referenced by clone().

    00022                                                                        :
    00023     GaudiException(Message,Tag,Code) {}

UpdateManagerException::UpdateManagerException | ( | const std::string & | Message,
|  | const std::string & | Tag,
|  | const StatusCode & | Code,
|  | const GaudiException & | Ex |
| ) |  |  | `[inline]`

Definition at line 25 of file UpdateManagerException.h.

    00028                                                     :
    00029     GaudiException(Message,Tag,Code,Ex) {}

virtual UpdateManagerException::~UpdateManagerException | ( |  | ) | throw ()`[inline, virtual]`

Destructor.

Definition at line 32 of file UpdateManagerException.h.

    00032 {}

## Member Function Documentation

virtual UpdateManagerException* UpdateManagerException::clone | ( |  | ) | const`[inline, virtual]`

Clone the exception.

Reimplemented from GaudiException.

Definition at line 35 of file UpdateManagerException.h.

References UpdateManagerException().

    00035 { return new UpdateManagerException(*this); }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/UpdateManagerException.h